History

#1 - 11/30/2016 01:28 PM - Kyle Hazelwood

The problem is I'm removing hidden comments in an ArrayList:

commentsLoop: for (ElogComment comment : comments)

{
comment .setAuthor (ElogDataBase.getCommentAuthor (comment.getId()));
comment .setCoAuthors (ElogDataBase.getCommentCoAuthors (comment .getId()));

//Don't attach comment if hidden and the user doesn't have privileges
if (comment.isHidden())
{
for (ElogUser coAuthor : comment.getCoAuthors())
{
if (clientUserBean.equals (coAuthor) &&
!clientUserBean.equals (comment.getAuthor ()) &&
!lclientUserBean.isSuperAdmin ())

comments.remove (comment) ;
continue commentsLoop;

#2 - 11/30/2016 01:29 PM - Kyle Hazelwood

This is probably an issue in multiple APl methods with hidden entries/comments.

#3 - 12/01/2016 01:20 AM - Michael Wren

I've noticed that when doing API searches with limits (i.e. &limit=1) that would return hidden entries (that | do not have permission to view) the hidden
entries count against the limit and can even result in empty responses. Is this a related to this bug?

#4 - 12/01/2016 11:11 AM - Kyle Hazelwood

Michael Wren wrote:

I've noticed that when doing API searches with limits (i.e. &limit=1) that would return hidden entries (that | do not have permission to view) the
hidden entries count against the limit and can even result in empty responses. s this a related to this bug?

It is not directly related to this bug. The limit is applied on the dbquery and the user permissions is applied after the db results are processed. So, yes
if you do limit 1 and don't have permissions to the entry/comment then you will get zero returned entries/comments. If you were seeing this error you
would get an HTTP 500 response instead of a HTTP 200 with no data.

#5 - 12/01/2016 11:25 AM - Kyle Hazelwood
Apparently, | noticed this bug a year ago on the test server but only implemented its fix for the searchEntries methods and not the get methods.

ArrayList<ElogComment> comments = new ArraylList<ElogComment> (Arrays.asList (ElogDataBase.getEntryComments (entry
.getId())));

commentsLoop: for (Iterator<ElogComment> commentsIterator = comments.iterator(); commentsItera

tor.hasNext () ;)
{
#6 - 12/01/2016 12:11 PM - Kyle Hazelwood

- Status changed from Assigned to Resolved

Fixed on test server. Will be out next elog restart.

#7 - 01/12/2017 12:38 PM - Kyle Hazelwood

- Status changed from Resolved to Closed

Released today.
